org.eclipse.microprofile.lra.tck

## Class TckUnknownStatusTests

- java.lang.Object
- - org.eclipse.microprofile.lra.tck.TckTestBase
  - - org.eclipse.microprofile.lra.tck.TckUnknownStatusTests

    public class TckUnknownStatusTests
    extends TckTestBase

TCK Tests related to the 410 status code handling. Version with a Status method.

### Field Summary

### Fields inherited from class org.eclipse.microprofile.lra.tck.TckTestBase

`testName`

### Constructor Summary

Constructors
Constructor and Description
`TckUnknownStatusTests()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `before()`
`void` `compensate_retry()`
`void` `complete_retry()`
`static org.jboss.shrinkwrap.api.spec.WebArchive` `deploy()`

### Methods inherited from class org.eclipse.microprofile.lra.tck.TckTestBase

`after`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TckUnknownStatusTests

    public TckUnknownStatusTests()

### Method Detail

#### deploy

    @Deployment(name="tckunkownstatus")
    public static org.jboss.shrinkwrap.api.spec.WebArchive deploy()

#### before

    public void before()

Overrides:
  `before` in class `TckTestBase`

#### compensate_retry

    public void compensate_retry()
                          throws jakarta.ws.rs.WebApplicationException

Throws:
  `jakarta.ws.rs.WebApplicationException`

#### complete_retry

    public void complete_retry()
                        throws jakarta.ws.rs.WebApplicationException

Throws:
  `jakarta.ws.rs.WebApplicationException`